package com.baoshi.swms.bean;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * 运单列表
 *
 * @author Zhendong Zhou
 * @date   2021/12/6 11:36
 */
public class Waybill implements Serializable {
    int id;
    @SerializedName("waybill_number")
    String waybillNumber;
    String destination;
    String recipient;
    @SerializedName("recipient_mobile")
    String recipientMobile;
    @SerializedName("carrier_bill")
    String carrierBill;
    @SerializedName("warehouse_weight")
    Double warehouseWeight;
    @SerializedName("carrier_weight")
    Double volume;
    @SerializedName("inquire_tel")
    String inquireTel;
    @SerializedName("warehouse_weight_other")
    Double warehouseWeightOther;
    @SerializedName("carrier_weight_other")
    Double weight;
    Integer amount;
    String origination;
    @SerializedName("carrier_name")
    String carrierName;
    @SerializedName("amount_unit_name")
    String amountUnitName;
    @SerializedName("deliver_at")
    String deliverAt;
    @SerializedName("subjoin_fee")
    String subjoinFee;

    public void setSubjoinFee(String subjoinFee) {
        this.subjoinFee = subjoinFee;
    }

    public String getSubjoinFee() {
        return subjoinFee;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public void setRecipient(String recipient) {
        this.recipient = recipient;
    }

    public void setRecipientMobile(String recipientMobile) {
        this.recipientMobile = recipientMobile;
    }

    public void setCarrierBill(String carrierBill) {
        this.carrierBill = carrierBill;
    }

    public void setWarehouseWeight(Double warehouseWeight) {
        this.warehouseWeight = warehouseWeight;
    }

    public void setInquireTel(String inquireTel) {
        this.inquireTel = inquireTel;
    }

    public void setWarehouseWeightOther(Double warehouseWeightOther) {
        this.warehouseWeightOther = warehouseWeightOther;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public void setOrigination(String origination) {
        this.origination = origination;
    }

    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    public void setAmountUnitName(String amountUnitName) {
        this.amountUnitName = amountUnitName;
    }

    public String getDestination() {
        return destination;
    }

    public String getRecipient() {
        return recipient;
    }

    public String getRecipientMobile() {
        return recipientMobile;
    }

    public String getCarrierBill() {
        return carrierBill;
    }

    public Double getWarehouseWeight() {
        return warehouseWeight;
    }

    public String getInquireTel() {
        return inquireTel;
    }

    public Double getWarehouseWeightOther() {
        return warehouseWeightOther;
    }

    public Integer getAmount() {
        return amount;
    }

    public String getOrigination() {
        return origination;
    }

    public String getCarrierName() {
        return carrierName;
    }

    public String getAmountUnitName() {
        return amountUnitName;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }
    public Double getWeight() {
        return weight;
    }

    public void setVolume(Double volume) {
        this.volume = volume;
    }
    public Double getVolume() {
        return volume;
    }

    public void setWaybillNumber(String waybillNumber) {
        this.waybillNumber = waybillNumber;
    }
    public String getWaybillNumber() {
        return waybillNumber;
    }

    public void setDeliverAt(String deliverAt) {
        this.deliverAt = deliverAt;
    }
    public String getDeliverAt() {
        return deliverAt;
    }

    public void setId(int id) {
        this.id = id;
    }
    public int getId() {
        return id;
    }
}
